Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Apr 2013 20:15:08 +0300

> Date: Wed, 24 Apr 2013 08:39:39 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > Can you explain what macros/functions would you like to have, exactly,
>  > to be able to do this job cleanly?  Maybe FRAME_MENUBAR_HEIGHT
>  > etc. are not what you need, but perhaps there are other means to get
>  > the information cleanly.
> 
> A function that would tell me in a platform independent way the pixel
> offset of the frame's root window from the top edge of the frame's
> "client rectangle" (sorry for the Windows parlance).

Does Emacs even know that today, in any way, form, or shape?  At least
with toolkits, I'm not sure this is possible without having the
toolkit tell us this information.  But I'm not the expert on this.